Unable to edit Workflows (POST limit)

2016-12-07 01:44 - Ewan Makepeace

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.6.1

Description

I now have 35 issue statuses in one of my Redmines. Before you criticise this is because I had two and was adding a third

completely separate workflows for different trackers:

Trackers Bug, Feature, Support, Design all use a fairly standard development pipeline with 13 steps from design through final

acceptance on live server.

Tracker Recruit also has 13 steps from Invite to Interview to Acceptance or Rejection.

My new tracker for Failure Analysis adds 10 new statuses to the list. However when I try to edit the Workflow with "Only display

statuses that are used in this tracker" unchecked (so that I can add in my new statuses) I get the following exception:

Request Entity Too Large

The requested resource

/workflows/edit

does not allow request data with POST requests, or the amount of data provided in the request exce

eds the capacity limit.

Apache/2.2.31 (Amazon) Server at redmine.jawasoft.com Port 443

 I guess the grid of 35 x 35  = 1225 posted values is too many for HTTP? I did some research and PHP typically limits to 1000, other

servers to other values.

1. Is there a quick fix - a server setting I can change?

2. I dont feel I am using Redmine unreasonably here - but the whole Workflow UX becomes almost unmanageable when you have

more than 10 or 15 statuses.

History

#1 - 2016-12-07 01:53 - Ewan Makepeace

Following on from my second comment....

I would recommend that statuses be put in sets and a tracker subscribe to a set of statuses so you only need to work with a subset of the available

status values?

The other thing that drives me crazy (while I am on the subject) is moving status items up and down the list using those little up and down arrows. It is

cute with a list of 10 but with 35 over two pages it is ridiculous...

1. Provide a "Sort by Completion %" option to quickly resort

2. Allow me to work with subsets as previously requested so that I dont have to look at unrelated statuses.

#2 - 2017-01-11 16:05 - Anonymous

+1

#3 - 2017-02-09 08:28 - Toshi MARUYAMA

- Subject changed from Unable to edit Workflows to Unable to edit Workflows (POST limit)
